'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var App = function (_Component) {
    _inherits(App, _Component);

    function App(props) {
        _classCallCheck(this, App);

        var _this = _possibleConstructorReturn(this, (App.__proto__ || Object.getPrototypeOf(App)).call(this, props));

        _this.state = {
            clientId: 0
        };
        return _this;
    }

    _createClass(App, [{
        key: 'changeClientId',
        value: function changeClientId(e) {
            this.setState({
                clientId: e.target.value
            });
        }
    }, {
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                'div',
                { id: 'app' },
                _react2.default.createElement(
                    'label',
                    { htmlFor: 'clientId' },
                    'Client ID'
                ),
                _react2.default.createElement('input', { type: 'text', id: 'clientId', onChange: this.changeClientId }),
                _react2.default.createElement(_index2.default, {
                    systemId: '7',
                    appId: '9cb369a6-ae46-4cf0-8ab7-0f5b9e8bd579',
                    clientId: this.state.clientId,
                    webapi_endpoint: 'http://api-josh.advizr.com/',
                    identity_endpoint: 'http://identity-josh.advizr.com/',
                    silent_renew_endpoint: '/dist/silent_renew.html',
                    signin_endpoint: '/dist/popup_signin.html'
                })
            );
        }
    }]);

    return App;
}(_react.Component);

exports.default = App;